/*
 * bme280.h
 *
 *  Created on: May 05, 2025
 *      Author: Alex - www.aeq-web.com
 */

#ifndef BME280_H
#define BME280_H

#include <stdint.h>
#include <stdbool.h>


void bme280_init(uint8_t addr);
void bme280_deinit(void);

bool bme280_connected(void);
bool bme280_read_calibration(void);

float bme280_read_temperature(void);
float bme280_read_pressure(void);
float bme280_read_humidity(void);


#endif // BME280_H

